*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: arial, sans-serif;
}

body{
  min-height: 100vh;
    padding-top: 60px;
      overscroll-behavior-y: none;
}


#navbar {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 60px;
background: rgba(255, 255, 255, 0.18);
  backdrop-filter: blur(8px);
  box-shadow: 0px 1px 5px rgba(5, 5, 5, 0.514);
  color: black;

  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 20px;

  transition: transform 0.3s ease;
  z-index: 999;
}

button.menu-button {
    display: none;}

#navbar.hide {
  transform: translateY(-100%);
}



.menu {
  display: flex;
  color: rgb(0, 0, 0);
  margin-right: 15px;
  text-decoration: none;
}

/* .menu button {
  padding: 6px 12px;
  cursor: pointer;
} */

.nav-button {
  color: black;
  height: 40px;
  background-color: rgb(255, 255, 255);
  padding: 0 20px;
  align-content: center;
  border-radius: 14px;
  text-decoration: none;
}

.nav-button:hover {
  background-color: rgba(0, 0, 0, 0.123);
}

#footer {
  
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0px;
  position: fixed;
  bottom: 10px;
  left: 50%;
  transform: translateX(-50%);
  z-index: 3000;
  justify-content: center;
  width: max-content;
  max-width: 90vw;             /* aman di mobile */
  pointer-events: none;        /* opsional: tidak ganggu klik */

}

#nid-wm {
  width: 140px;
  max-width: 60vw;
  display: block;
}

#live-counter{
  font-family: sans-serif;
  text-align: center;
  font-size: 10px;
  color: white;
  background-color: rgb(0, 79, 163);
}

.greeting{
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: white;}


#greeting {
  transition: opacity 0.3s ease;
}

#greetings{
  display: flex;
  margin: 20px;
  font-family: Arial, 
  Helvetica, sans-serif; 
  font-size: 35px; 
  font-style: normal;
}

#social-box {
  background: rgba(255, 255, 255, 0.18);
  backdrop-filter: blur(2px);
  -webkit-backdrop-filter: blur(10px);
  display: flex;
  width: fit-content;
  padding: 5px;
  border-radius: 14px;
  gap: 4px;
  box-shadow: inset;
  border: 1.5px solid rgba(255, 255, 255, 0.350);
}

.social-icon {display: flex;}

.content {
  padding: 20px;
}

@media (max-width: 768px) {
  
div.menu {
    display: none;
  }

  /* Tampilkan hamburger */
  button.menu-button {
    display: block;
  }

  .page-bg{
    height: 120vh;
    background-image: url(./public/background-mobile.png);
    position: fixed;
    top: -1vh;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: top,center;
    z-index: -1;
    inset: 0;
}
}

@media (min-width: 768px){
body{
    background-image: url(./public/background.jpeg);
    background-size: cover;
    background-attachment: fixed;
    background-repeat: no-repeat;
}
}
.nav-button-desktop{
  color: #003a6a;
  height: 40px;
  background-color: rgb(255, 255, 255);
  padding: 0 20px;
  align-content: center;
  border-radius: 14px;
  text-decoration: none;
}

.nav-button-desktop:hover {
  background-color: rgb(58, 225, 255);
}

.side-panel {
  position: fixed;
  top: 0;
  right: -50%; /* sembunyi */
  width: 50%;
  height: 100vh;
  background: #003a6add;
  

  display: flex;
  flex-direction: column;
  padding: 10px;
  gap: 16px;

  transition: right 0.5s ease;
  z-index: 2000;
}

.side-panel a {
  color: #003a6a;
  text-decoration: none;
  font-size: 18px;
}



/* Saat aktif */
.side-panel.active {
  right: 0;
}

.close-btn {
  align-self: flex-end;
  background: none;
  border: none;
  color: white;
  font-size: 26px;
  cursor: pointer;
}

